Name:           python-pykeepass
Version:        4.0.6
Release:    2%{?dist}
Summary:        Python library to interact with keepass databases

License:        GPL-3.0-only AND MIT
URL:            https://github.com/libkeepass/pykeepass
Source0:         %{url}/archive/v%{version}/pykeepass-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python3-devel

%global common_description %{expand:
This library allows you to write entries to a KeePass database.}

%description %{common_description}


%package -n     python3-pykeepass
Summary:        %{summary}
 
%description -n python3-pykeepass %{common_description}


%prep
%autosetup -n pykeepass-%{version}

sed -r -i 's/==/>=/' requirements.txt


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pykeepass


%check
%{python3} -m unittest discover -s tests -v


%files -n python3-pykeepass -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.0.6-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.6-1
- initial build
